Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Create version specific manifest for Swift 4.2 and update Package.swift to swift-tools-version:5.0 #2737

Merged
merged 4 commits into from Mar 7, 2019

Conversation

Projects
None yet
2 participants
@mattt
Copy link
Contributor

mattt commented Mar 6, 2019

Following up on #2736, this PR updates Package.swift to swift-tools-version:5.0 and takes advantage of the new platforms API to specify a requirement for macOS >= 10.12, which fixes #2698.

This PR also provides a version-specific manifest (Package@swift-4.2.swift) that provides backwards-compatibility with Xcode 10.1.

I believe that this provides a solution that allows you to address #2698 without waiting for Xcode 10.2 to GM. However, I certainly understand if you'd prefer to hold off for a final release.

mattt added some commits Mar 6, 2019

Update swiftLanguageVersions to swift-tools-version:4.2
This API changed from taking [Int] to [SwiftVersion] in PackageDescription API Version 4.2. For more information, see https://github.com/apple/swift-package-manager/blob/master/Documentation/PackageDescriptionV4_2.md#swift-language-version.
Rename Package.swift to Package@swift-4.2.swift
Upgrade Package.swift to swift-tools-version:5.0

Add platforms definition to Package.swift
@mattt

This comment has been minimized.

Copy link
Contributor Author

mattt commented Mar 6, 2019

For more information about the new API, see SE-0236: "Package Manager Platform Deployment Settings".

@jshier

This comment has been minimized.

Copy link
Contributor

jshier commented Mar 7, 2019

Thanks again Mattt!

@jshier jshier merged commit d82ee96 into Alamofire:master Mar 7, 2019

1 check passed

continuous-integration/travis-ci/pr The Travis CI build passed
Details

@jshier jshier added this to the 5.0.0-beta.3 milestone Mar 8, 2019

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
You can’t perform that action at this time.